<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 9eaa8cc4dc09 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2021-01-08 12:01 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
//@phan-file-suppress PhanUndeclaredClassMethod,PhanUndeclaredMethod,PhanUndeclaredExtendedClass
use Sabre\DAV;

class we_davfs_auth extends DAV\Auth\Backend\AbstractBasic{

	protected function validateUserPass($username, $password){
		if(!empty($_SESSION['weS']['davfs']['ID']) && fB('SELECT (Ping>((NOW()-INTERVAL ' . SYSTEM_WE_SESSION_TIME . ' SECOND ))) FROM ' . USER_TABLE . ' WHERE ID=' . $_SESSION['weS']['davfs']['ID'])){
			return true;
		}
		if(!we_gui_login::checkMaxLoginOK()){
			return false;
		}
		//fixme: username must be handled by prelogin
		$userdata = getHash('SELECT
	ID,passwd,username,ParentID,CONCAT_WS(" ",First,Second) AS RealName
FROM ' . USER_TABLE . '
WHERE
	Type="user" AND
	LoginDenied=0 AND
	Ping>((NOW()-INTERVAL ' . SYSTEM_WE_SESSION_TIME . ' SECOND )) AND
	username="' . DB_WE::$inst->escape((string) $username) . '"');
		if(!$userdata || !we_users_user::comparePasswords($userdata['passwd'], $password)){
			we_users_user::logLoginFailed('tblUser', $username);
			return false;
		}
		$_SESSION['user'] = [
			'Username' => $userdata['username'],
			'ID' => (int) $userdata['ID'],
			'RealName' => $userdata['RealName'],
			'Group' => (int) $userdata['ParentID'],
			'isWeSession' => true
		];
		$_SESSION['weS']['davfs'] = [
			'ID' => $userdata['ID'],
			'Username' => $username,
		];
		$_SESSION['prefs'] = we_users_user::readPrefs((int) $userdata['ID'], true);
		$_SESSION['perms'] = we_users_user::getAllPermissions((int) $userdata['ID']);
		we_users_user::setEffectiveWorkspaces((int) $userdata['ID']);
		//only allow admins access
		if(we_base_permission::hasPerm([we_base_perm::ADMINISTRATOR])){
			return true;
		}
		return false;
	}

}
