<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

use Sabre\DAV;

/**
 * Description of dbTblFile
 *
 * @author marc
 */
class we_davfs_dbTblFile extends DAV\File{

	/** @phan-var string */
	protected $Table;

	function __construct(string $name){
		$this->Table = strtr($name, ['.sql' => '']);
	}

	/**
	 *
	 * @return string
	 */
	function getName(){
		return $this->Table . '.sql';
	}

	/**
	 *
	 * @return string
	 */
	function get(){
		//remove autoincrement, since this differs always. We need to remove some more options. If the default changes and you use create table like xx, only options different from default are recorded.
		return preg_replace('/(AUTO_INCREMENT=\d+ ?|CHECKSUM=\d ?|PAGE_CHECKSUM=\d ?|TRANSACTIONAL=\d ?|ROW_FORMAT=[^ ]+ ?)/i', '', implode("\n", array_map('trim', DB_WE::$inst->getTableCreateArray($this->Table))));
	}

	/**
	 *
	 * @return int
	 */
	function getSize(){
		return strlen($this->get());
	}

	/**
	 * @return string
	 */
	public function getContentType(){
		return 'text/plain';
	}

	public function getLastModified(){
		return time();
	}

	/**
	 * @return string
	 */
	function getETag(){
		return '"' . $this->Table . '-' . time() . '"';
	}

}
