<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: e4301c9e291b $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-11-13 12:33 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_dialog_messageConsole{

	public static function getDialog(): void{
		$deleteAllButton = we_html_button::create_button(we_html_button::DELETE, "javascript:msgWin.removeMessages();");
		$closeButton = we_html_button::create_button(we_html_button::CLOSE, "javascript:WE().util.dialogTop(window).doClose();");

		$buttons = we_html_button::formatButtons($deleteAllButton . $closeButton);

		echo we_html_tools::getHtmlTop(g_l('messageConsole', '[headline]'), we_html_element::cssLink(CSS_DIR . 'messageConsole.css') .
			we_html_element::jsScript(JS_DIR . 'messageConsoleWindow.js'), we_html_element::body([
				'onload' => "(msgWin=new messageConsoleWindow(window)).init();",
				'onunload' => "msgWin.remove();",
				'class' => "weDialogBody messageConsoleWindow"
				], '
	<div id="headlineDiv">
		<div class="weDialogHeadline">' . g_l('messageConsole', '[headline]') . '</div>
	</div>
	<div id="messageDiv">
		<ul id="jsMessageUl" class="fa-ul"></ul>
	</div>
	<div class="dialogButtonDiv">' . $buttons . '</div>
'));
	}

}
