<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 0a4d7404d413 $
 * $Author: Lukas Imhof $
 * $Date: 2021-11-03 14:15 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_editor_contentobjectFile extends we_editor_base{

	/** @var bool */
	private $previewMode = false;

	public function setPreview(): void{
		$this->previewMode = true;
	}

	public function show(): string{
		assert($this->we_doc instanceof we_contents_objectFile);
		$editMode = !$this->previewMode;
		$parts = $this->we_doc->getFieldsHTML($this->getJsCmd(), $editMode);
		'@phan-var we_html_multiIconBoxContent $parts';
		/* if(is_array($this->we_doc->DefArray)){
		  foreach($this->we_doc->DefArray as $v){
		  if(is_array($v) && !empty($v['required']) && $editMode){
		  $parts->add((new we_html_multiIconBoxContentLine('', '*' . g_l('global', '[required_fields]')))->id(str_replace('.', '', uniqid('', true))));
		  break;
		  }
		  }
		  } */
		$header = we_html_element::jsScript(JS_DIR . '/weOrderContainer.js');

		if($this->we_doc->CSS){
			$cssArr = id2pathA(we_base_request::filterIntList($this->we_doc->CSS), FILE_TABLE);
			foreach($cssArr as $path){
				'@phan-var string $path';
				$header .= we_html_element::cssLink($path);
			}
		}

		$content = '';
		if($editMode){
			$content .= we_html_multiIconBox::addBoxContainer(/* g_l('weClass', '[edit]'), */md5(uniqid(__FILE__, true)), we_html_element::div(['id' => 'orderContainer',
								'class' => 'objectFile']));
			foreach($parts->getContent() as $part){
				assert($part instanceof we_html_multiIconBoxContentLine);
				$content .= we_html_element::div(['id' => $part->getId(), 'class' => 'objectFileElement'], we_html_element::div(['id' => 'f' . $part->getId(), 'class' => 'default defaultfont'], $part->getHTML()));
				$this->jsCmd->addCmd('orderContainerAdd', $part->getId(), true);
			}
		} else {
			$content .= we_gui_SEEM::parseDocument((new we_html_multiIconBox($parts))->marginLeft()->get());
		}
		return $this->getPage($content, $header);
	}

}
