<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 8c19f7a2383f $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-12-22 13:26 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_folder_cmd implements we_interface_cmd{

	public static function we_cmd(string $cmd): bool{
		switch($cmd){
			case 'we_folder_changeLanguageRecursive':
			case 'we_folder_changeTriggerIDRecursive':
			case 'we_folder_changeUsersRecursive':
				$we_transaction = we_base_request::_(we_base_request::TRANSACTION, 'we_cmd', 0, 1);
				$we_folder = we_contents_root::getSessionDocument($we_transaction);
				assert($we_folder instanceof we_folder_base);
				$we_folder->changeRecursiveRequest($cmd);

				return true;
			case 'we_folder_copy':
				we_dialog_copyFolder::getDialog();
				return true;
		}
		return false;
	}

}
