<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: c2f64ea9c91f $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-04 00:30 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

/**
 *  view class for document customer filters
 *
 */
class we_navigation_customerFilterView extends we_customer_filterView{
	/** @var we_navigation_customerFilter filter for view	 */
	protected $filter = null;

	public function __construct(we_navigation_customerFilter &$filter, int $width = 0){
		parent::__construct($filter, $width);
		$this->viewType = 'navigation';
	}

	/**
	 * Gets the HTML and Javascript for the filter
	 *
	 * @return string
	 */
	function getFilterHTML(bool $isDynamic = false): string{
		return
			we_html_forms::checkboxWithHidden($this->filter->getUseDocumentFilter(), 'wecf_useDocumentFilter', g_l('navigation', '[useDocumentFilter]'), false, 'defaultfont', 'updateView_navigation();', $isDynamic) .
			we_html_element::div([
				'id' => 'MainFilterDiv',
				'style' => 'display:' . (!$this->filter->getUseDocumentFilter() ? 'block' : 'none') . ';border-top: 1px solid #AFB0AF;margin-bottom: 5px;'
				], parent::getFilterHTML(true));
	}

}
