<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: e4301c9e291b $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-11-13 12:33 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_object_createTemplate extends we_contents_template{

	protected function formDirChooser(int $rootDirID = 0, string $table = TEMPLATES_TABLE, string $Pathname = 'ParentPath', string $IDName = 'ParentID', string $cmd = '', /* mixed */ $label = true, bool $disabled = false): string{
		$table = $table ?: $this->Table;
		$textname = 'we_' . $this->Name . '_' . $Pathname;
		$idname = 'we_' . $this->Name . '_' . $IDName;
		$path = $this->{$Pathname};
		//$myid = $this->{$IDName};
		$button = we_html_button::create_button(we_html_button::SELECT, "javascript:we_cmd('we_selector_directory',{id:document.we_form.elements['" . $idname . "'].value,table:'" . $table . "',targetID:'" . $idname . "',targetName:'" . $textname . "'})");
		return we_html_tools::formElementTable(g_l('weClass', '[dir]'), we_html_tools::textInput($textname, $path, 0, ['readonly' => 'readonly'], 'text'), we_html_element::hidden($idname, 0), $button);
	}

	protected function formExtension(): string{
		return we_html_tools::formElementTable(g_l('weClass', '[extension]'), "<b class='defaultfont'>" . $this->Extension . '</b>');
	}

}
