<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 51f7fc0294c4 $
 * $Author: Lukas Imhof $
 * $Date: 2020-05-15 16:51 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_rpcCmd_doclistGetSearchResult extends we_rpc_cmd{

	function execute(): we_rpc_response{
		$we_transaction = we_base_request::_(we_base_request::TRANSACTION, 'we_transaction', 0);
		$whichSearch = we_base_request::string('whichSearch', '');
		$document = we_contents_root::getSessionDocument($we_transaction);
		assert($document instanceof we_folder_base);
		$dm = $document->getDoclistModel();
		if(!$dm){
			$this->resp->setStatus(false);
			return $this->resp;
		}
		$doclistView = new we_doclist_view($dm, $whichSearch);
		$code = $doclistView->getResultData($whichSearch);
		$this->resp->setData('data', $code);

		return $this->resp;
	}

}
