<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 3b1bcdab4c4d $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2022-11-23 23:14 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifClient extends we_weTag_ifTag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		$br = we_base_browserDetect::inst();

		if(($browser = self::getAttribute('browser', $attribs, [], we_base_request::STRING_LIST))){
			$browserOfClient = $br->getBrowser();
			$browserMatched = in_array($browserOfClient, $browser, true) ||
				// for backwards compatibility
				((we_base_browserDetect::isNN() && in_array('mozilla', $browser, true)) ||
				($browserOfClient == we_base_browserDetect::APPLE && in_array('safari', $browser, true)));
			if(!$browserMatched){
				return false;
			}
		}

		if(($version = self::getAttribute('version', $attribs, 0, we_base_request::FLOAT))){
			$brv = $br->getBrowserVersion();
			switch(self::getAttribute('operator', $attribs, '', we_base_request::STRING)){
				case 'equal':
					$versionMatched = (floor($brv) == floor($version));
					break;
				case 'less':
					$versionMatched = ($brv < $version);
					break;
				case 'less|equal':
					$versionMatched = ($brv <= $version);
					break;
				case 'greater':
					$versionMatched = ($brv > $version);
					break;
				case 'greater|equal':
					$versionMatched = ($brv >= $version);
					break;
				default:
					$versionMatched = false;
					break;
			}
			if(!$versionMatched){
				return false;
			}
		}

		$system = array_map('mb_strtolower', self::getAttribute('system', $attribs, [], we_base_request::STRING_LIST));

		return ($system ? in_array($br->getSystem(), $system) : true);
	}

}
