<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: c564388e074d $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-17 13:01 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifIsActive extends we_weTag_ifTag{

	/**
	 * @param array<string,mixed> $attribs parsed tag-attributes
	 * @param string $content content between openingtag and closing tag @unused-param
	 * @param bool $internal if used by we internally @unused-param
	 * @throws we_exception_parser if any attribute is missing
	 */
	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		switch(self::getAttribute('_name_orig', $attribs, '', we_base_request::STRING)){
			case 'banner':
				return false;
			case 'customer':
				return we_modules_info::isActive(we_modules_info::CUSTOMER);
			case 'glossary':
				return we_modules_info::isActive(we_modules_info::GLOSSARY);
			case 'newsletter':
				return we_modules_info::isActive(we_modules_info::NEWSLETTER);
			case 'object':
				return we_modules_info::isActive(we_modules_info::OBJECT);
			case 'shop':
				return we_modules_info::isActive(we_modules_info::SHOP);
			case 'scheduler':
				return we_modules_info::isActive(we_modules_info::SCHEDULER);
			case 'voting':
				return we_modules_info::isActive(we_modules_info::VOTING);
			case 'workflow':
				return we_modules_info::isActive(we_modules_info::WORKFLOW);

			default:
				return false;
		}
	}

}
