<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 2c442fcd9116 $
 * $Author: Lukas Imhof $
 * $Date: 2021-09-06 18:36 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_votingSelect extends we_weTag_tag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		$db = DB_WE::$inst;

		if(!(we_base_WE::$editmode && we_tag_voting::$currentVoting && we_tag_voting::$namespace)){
			return '';
		}
		self::$doc = we_base_WE::getWeDoc();

		$submitonchange = self::getAttribute('submitonchange', $attribs, false, we_base_request::BOOL);
		$firstentry = self::getAttribute('firstentry', $attribs, '', we_base_request::STRING);
		$reload = self::getAttribute('reload', $attribs, $submitonchange, we_base_request::BOOL);
		$parentid = self::getAttribute('parentid', $attribs, 0, we_base_request::INT);

		$select_name = we_tag_voting::$namespace;

		$newAttribs = ['name' => 'we_' . self::$doc->Name . '_txt[' . $select_name . '#bdid]'];
		$val = self::$doc->getElementI($select_name, 0, true);

		$newAttribs['onchange'] = ($submitonchange ?
			'we_submitForm();' :
			'_EditorFrame.setEditorIsHot(true)' . ($reload ? (';setScrollTo();top.we_cmd(\'reload_editpage\');') : '') );

		$options = (isset($attribs['firstentry']) ? self::htmlTag('option', ['value' => ''], $firstentry, true) : '');

		$hasOpt = false;
		if($parentid){
			$folders = $db->getAllq('SELECT ID FROM ' . VOTING_TABLE . ' WHERE IsFolder=1 AND ParentID=' . $parentid, true);
			$folders[] = $parentid;
		} else {
			$folders = [];
		}

		foreach($db->getAllq('SELECT ID,Text,Path,IsFolder FROM ' . VOTING_TABLE . ' WHERE 1 ' . ($parentid ? ' AND ParentID IN(' . implode(',', $folders) . ')' : '') . we_voting_voting::getOwnersSql() . ' ORDER BY Path') as $item){
			if($item['IsFolder']){
				$options .= ($hasOpt ? '</optgroup>' : '') . '<optgroup label="' . $item['Path'] . '">';
				$hasOpt = true;
				continue;
			}
			$options .= self::htmlTag('option', ($item['ID'] == $val ? ['value' => $item['ID'], 'selected' => 'selected'] : ['value' => $item['ID']]), $item['Text']);
		}
		return we_html_element::span(['class' => 'we we_votingSelect'], self::htmlTag('select', $newAttribs, $options . ($hasOpt ? '</optgroup>' : ''), true));
	}

}
