<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 0b58eaa261bb $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2021-02-25 16:18 +0100 $
 */
class we_tw_captcha extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);

		$this->NeedsEndTag = false;

		$this->Attributes = [
			new we_weTag_textAttribute($this, 'width', '', true, '', '', 'number'),
			new we_weTag_textAttribute($this, 'height', '', true, '', '', 'number'),
			new we_weTag_textAttribute($this, 'maxlength', '', false, '', '', 'number'),
			new we_weTag_selectAttribute($this, 'subset', '', [
				new we_weTag_option('alphanum'),
				new we_weTag_option('alpha'),
				new we_weTag_option('num'),
				], false, ''),
			new we_weTag_textAttribute($this, 'skip', '', false, ''),
			new we_weTag_choiceAttribute($this, 'fontcolor', '', [
				new we_weTag_option('#000000'),
				new we_weTag_option('#ffffff'),
				new we_weTag_option('#ff0000'),
				new we_weTag_option('#00ff00'),
				new we_weTag_option('#0000ff'),
				new we_weTag_option('#ffff00'),
				new we_weTag_option('#ff00ff'),
				new we_weTag_option('#00ffff'),
				], false, true),
			new we_weTag_textAttribute($this, 'fontsize', '', false, '','','number'),
			new we_weTag_choiceAttribute($this, 'bgcolor', '', [
				new we_weTag_option('#ffffff'),
				new we_weTag_option('#cccccc'),
				new we_weTag_option('#888888'),
				], false, false),
			new we_weTag_selectAttribute($this, 'transparent', '', we_weTag_selectAttribute::getTrueFalse(true)),
			new we_weTag_choiceAttribute($this, 'style', '', [
				new we_weTag_option('strikeout'),
				new we_weTag_option('fullcircle'),
				new we_weTag_option('fullrectangle'),
				new we_weTag_option('outlinecircle'),
				new we_weTag_option('outlinerectangle'),
				], false, true),
			new we_weTag_choiceAttribute($this, 'stylecolor', '', [
				new we_weTag_option('#cccccc'),
				new we_weTag_option('#ff0000'),
				new we_weTag_option('#00ff00'),
				new we_weTag_option('#0000ff'),
				new we_weTag_option('#00ffff'),
				new we_weTag_option('#ff00ff'),
				new we_weTag_option('#ffff00'),
				], false, true),
			new we_weTag_textAttribute($this, 'angle', '', false, '','','number'),
			new we_weTag_selectAttribute($this, 'align', '', [
				new we_weTag_option('random'),
				new we_weTag_option('center'),
				new we_weTag_option('left'),
				new we_weTag_option('right'),
				], false, ''),
			new we_weTag_selectAttribute($this, 'valign', '', [
				new we_weTag_option('random'),
				new we_weTag_option('top'),
				new we_weTag_option('middle'),
				new we_weTag_option('bottom'),
				], false, ''),
			new we_weTag_selectAttribute($this, 'case', '', [
				new we_weTag_option('mix'),
				new we_weTag_option('upper'),
				new we_weTag_option('lower'),
				], false, ''),
			new we_weTag_selectAttribute($this, 'type', '', [
				new we_weTag_option('gif'),
				new we_weTag_option('jpg'),
				new we_weTag_option('png'),
				new we_weTag_option('webp'),
				], false, ''),
			new we_weTag_textAttribute($this, 'stylenumber', '', false, ''),
			new we_weTag_textAttribute($this, 'alt', '', false, ''),
		];
	}

}
