<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_ifDocument extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [we_weTag_twbase::GROUP_IF];

		$docTypes = [];
		foreach(DB_WE::$inst->getAllq('SELECT Text FROM ' . DOC_TYPES_TABLE . ' WHERE IsFolder=0 ORDER BY Path', true) as $dt){
			$docTypes[] = new we_weTag_option((string) $dt);
		}

		$this->Attributes = [
			new we_weTag_selectAttribute($this, 'doc', '', [
				new we_weTag_option('top'),
				new we_weTag_option('self'),
				new we_weTag_option('listview'),
				], false, ''),
			new we_weTag_multiSelectorAttribute($this, 'id', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, 'ID', false, ''),
			new we_weTag_multiSelectorAttribute($this, 'parentid', '', FILE_TABLE, we_base_ContentTypes::FOLDER_DOCUMENT, 'ID', false, ''),
			new we_weTag_choiceAttribute($this, 'doctype', '', $docTypes, false, true, ''),
			new we_weTag_sqlRowAttribute($this, 'doctypeIDs', '', DOC_TYPES_TABLE, false),
			new we_weTag_choiceAttribute($this, 'contenttype', '', [
				new we_weTag_option(we_base_ContentTypes::WEDOCUMENT),
				new we_weTag_option(we_base_ContentTypes::IMAGE),
				new we_weTag_option(we_base_ContentTypes::HTML),
				new we_weTag_option(we_base_ContentTypes::TEXT),
				new we_weTag_option(we_base_ContentTypes::XML),
				new we_weTag_option(we_base_ContentTypes::JS),
				new we_weTag_option(we_base_ContentTypes::CSS),
				new we_weTag_option(we_base_ContentTypes::APPLICATION),
				new we_weTag_option(we_base_ContentTypes::PDF),
				new we_weTag_option(we_base_ContentTypes::VIDEO),
				new we_weTag_option(we_base_ContentTypes::AUDIO),
				], false, true, ''),
			new we_weTag_selectAttribute($this, 'included', '', we_weTag_selectAttribute::getTrueFalse()),
		];
	}

}
