<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: c49617e06de7 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2022-02-04 11:13 +0100 $
 */
class we_tw_votingField extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Module = we_modules_info::VOTING;

		$this->Attributes = [
			new we_weTag_selectAttribute($this, 'name', '', [
				new we_weTag_option('question'),
				new we_weTag_option('answer'),
				new we_weTag_option('result'),
				new we_weTag_option('id'),
				new we_weTag_option('date'),
				], true, ''),
			new we_weTag_selectAttribute($this, 'type', '', [
				new we_weTag_option('text'),
				new we_weTag_option('radio'),
				new we_weTag_option('checkbox'),
				new we_weTag_option('select'),
				new we_weTag_option('count'),
				new we_weTag_option('percent'),
				new we_weTag_option('total'),
				new we_weTag_option('answer'),
				new we_weTag_option('voting'),
				new we_weTag_option('textinput'),
				new we_weTag_option('textarea'),
				new we_weTag_option('image'),
				new we_weTag_option('media'),
				], false, ''),
			new we_weTag_textAttribute($this, 'format', '', false, ''),
			new we_weTag_choiceAttribute($this, 'num_format', '', [
				new we_weTag_option('german'),
				new we_weTag_option('french'),
				new we_weTag_option('english'),
				new we_weTag_option('swiss'),
				], false, false, ''),
			new we_weTag_textAttribute($this, 'precision', '', false, '', '', 'number'),
		];
	}

}
