<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 8c19f7a2383f $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-12-22 13:26 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_users_cmd extends we_editor_functions implements we_interface_cmd{

	public static function we_cmd(string $cmd0): bool{
		switch($cmd0){
			default:
				return false;
			case 'we_users_unlock':
				we_users_user::unlockDocuments();
				return true;
			case 'we_users_ownerAdd':
				$we_doc = self::initVars();
				$we_doc->add_owner(we_base_request::intList('we_cmd', [], 1));
				break;
			case 'we_users_ownerDel':
				$we_doc = self::initVars();
				$we_doc->del_owner(we_base_request::int('we_cmd', 0, 1));
				break;
			case 'we_users_ownersDelAll':
				$we_doc = self::initVars();
				$we_doc->del_all_owners();
				break;
		}
		self::includeEditorDefault($we_doc, we_base_WE::$transaction, null);
		return true;
	}

}
