/* global top, WE, ImageEditTools */

/**
 * webEdition CMS
 *
 * $Rev: d4296db3e87c $
 * $Author: Lukas Imhof $
 * $Date: 2021-11-02 21:09 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

var _controller = WE().layout.weEditorFrameController,
	_EditorFrame = _controller.getEditorFrame(window.parent.name);

function doScrollTo(no) {
	if (no === undefined || isNaN(no)) {
		no = WE().layout.weEditorFrameController.getEditorFrame(window.parent.name).getEditorEditPageNr();
	}
	if (window.parent.scrollToVal && window.parent.scrollToVal[no]) {
		window.scrollTo(0, window.parent.scrollToVal[no]);
		window.parent.scrollToVal[no] = 0;
	}
}

function setScrollTo(no) {
	if (no === undefined ) {
		no = WE().layout.weEditorFrameController.getEditorFrame(window.parent.name).getEditorEditPageNr();
	}
	window.parent.scrollToVal[no] = window.pageYOffset;
}

function doUnload() {
	WE().layout.jsWindow.prototype.closeAll(window);
}

function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window);

	if (top.we_cmd) {
		top.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}
